Name: kmastermind
Version: 2.2
Release: 1
Packager: Tavarez Arnaud Bakoula <tbakoula@yahoo.fr>
License: GPL
Summary: A mastermind game for KDE-3.2.x
Group: Application/Games
Source: kmastermind-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

Requires: kdebase >= 3.1.0
Requires: qt > 3.0.5
BuildRequires: qt-devel
BuildRequires: kdelibs-devel kdebase-devel

%description
KMasterMind is a mastermind game designed for K Desktop Environment.
It is written using Qt & KDE libraries.
KMasterMind is an intuitive game using the drag and drop mechanism
for placing the pieces on site.
In this new version 2.x you can play against another player who
must hide a combination.

%prep
%setup -q

%build

%configure \
  --prefix=/usr

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 755)
%{_bindir}/*
%{_datadir}/apps/*/*
%{_datadir}/applnk/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/doc/HTML/*/*

%doc AUTHORS COPYING ChangeLog NEWS README INSTALL kmastermind.lsm

%changelog
* Sat Oct 1st 2005 Tavarez Bakoula
<tbakoula@yahoo.fr> - 2.2-1
- I added numerical labels to locate the position
  of the pieces and the ticks
- Tooltips for the toolbar buttons with the useful
  shortcuts

* Thu Jul 28 2005 Tavarez Bakoula
<tbakoula@yahoo.fr> - 2.1-1
- add an appearance dialog to configure the backgrounds and the
  icon size
- add a dialog for the level selection
- few bugs corrected

* Fri May 20 2005 Tavarez Bakoula
<tbakoula@yahoo.fr> - 2.0-1
- source completly redesigned
- add shortcuts for submit action
- add managers for the rows
- add several backgrounds
- add a mode human vs human
- score table managed for each level

* Thu Feb 1 2005 Tavarez Bakoula
<tbakoula@yahoo.fr> - 1.1-1
- add toolbar and status bar
- change the game board

* Mon Dec 20 2004 Tavarez Bakoula
<tbakoula@yahoo.fr> - 1.0-1
- initial release
